# Manual de usuario de KDE

&Lauri.Watts; &Lauri.Watts.mail;
7 de Junio de 2005
Entorno de escritorio K
kdesu
1

# `kdesu`

Ejecuta un programa con privilegios altos

    kdesu -c -d -f  archivo -i  nombre icono -n -p  prioridad -r -s -t -u  usuario --nonewdcop orden arg1 arg2

    kdesu Opciones genéricas de KDE Opciones genéricas Qt

## Descripción

&kdesu; es una interfaz gráfico para el entorno de escritorio K para la orden &UNIX; `su`. Le permite ejecutar un programa como un usuario diferente una vez que se ha proporcionado la contraseña para este usuario. &kdesu; es un programa sin privilegios, tan solo utiliza la orden `su` del sistema.

&kdesu; tiene una funcionalidad adicional: opcionalmente puede recordar las contraseñas. Si está utilizando esta funcionalidad, solo necesitará introducir la contraseña una vez para cada orden.

Este programa se puede iniciar desde la línea de órdenes o desde los archivos `.desktop`.

## Opciones

`-c programa`

  Especifica el programa que debe ejecutar como root. Éste debe ser pasado en un argumento. Por ejemplo, si desea iniciar un nuevo administrador de archivos, podría teclear: ``kdesu`-c kfm -sw```

`-d`

  Muestra información de depuración.

`-f archivo`

  Esta opción permite la utilización eficiente de &kdesu; en los archivos `.desktop`. Indica a &kdesu; que examine el archivo especificado por `archivo`. Si el usuario actual puede escribir en el archivo, &kdesu; ejecutará la orden como si fuera el usuario actual. Si no puede escribir en él, la orden se ejecutará como el usuario `usuario` (root de forma predeterminada).

  `archivo` se evalúa de la siguiente forma: si `archivo` comienza con `/`, se toma como un nombre de archivo absoluto. Sino, se toma como el nombre de un archivo de configuración global de &kde;. Por ejemplo, para configurar el administrador de visualización K, kdm, puede teclear `kdesu `-c kdmconfig -f kdmrc``

`-i` nombre de icono

  Especifica el icono que se utilizará en el diálogo de contraseñas. Puede especificar el nombre sin extensión.

`-n`

  No guarda la contraseña. Desactiva la opción guardar contraseña del diálogo de contraseña.

`-p` prioridad

  Ajusta el valor de la prioridad. La prioridad es un número arbitrario entre 0 y 100, dónde 100 es la prioridad más alta, y 0 la más baja. El valor predeterminado es 50.

`-r`

  Utiliza la hora real.

`-s`

  Para el demonio kdesu. Este demonio guarda las contraseñas correctas en segundo plano. Esta característica puede desactivarse con `-n` cuando &kdesu; se ejecuta inicialmente.

`-t`

  Activa la salida del terminal. Desactiva el guardado de contraseñas. Esto se utiliza para poder realizar la depuración. Si necesita ejecutar una consola en modo app, utilice en su lugar la orden estándar `su`.

`-u` usuario

  A pesar de que la utilizació más habitual de &kdesu; es ejecutar una orden como superusuario, puede reemplazar a cualquier usuario con la contraseña adecuada.

## Véa también

su(1)

Existe información de usuario más detallada en help:/kdesu (introduzca esta URL en &konqueror;, o ejecute ``khelpcenter` `help:/kdesu``).

## Ejemplos

Ejecuta `kfmclient` como el usuario jose, y muestra el icono de &konqueror; en el diálogo de contraseña:

    kdesu -u jose -i konqueror kfmclient

## Autores

&kdesu; lo escribieron Geert Jansen jansen@kde.org y Pietro Iglio iglio@fub.it.